*{margin: 0;padding: 0;box-sizing: border-box; font-family: sans-serif;}


header{
    display: flex; /* Esta es la forma para que el header quede horizontal con todos los elementos */
    min-height: 70px; /*altura del header*/
    background-color: black;    
    justify-content: space-between; /*Esta forma separa el encabezado de los demás links del header */
    align-items: center; /* alinear verticalemnte*/
    padding-left: 180px;
    padding-right: 180px;
}

/* Nombre de la compañia */
.logo{
    display: flex;
    align-items: center;
}

/*Logo de la compañia*/
.logo img {
    height: 100px;
    margin-right: 10px;

}
/* Todo el texto del header*/
a{
    text-decoration: none;
    color:white;
}

/* así se editan los enlaces de: inicio, nosotros y contacto*/
nav{
    margin-right: 25px;
}

nav a {
    font-weight: 600; /* así se pone negrilla*/
    padding-right: 10px;  
}

/* este es el efecto para poner el mouse en los enlaces*/
nav a:hover{
   color: #42CFFF;
   
 
}
header nav a {
    margin-left: 25px;
}

/*Cuerpo de pagina*/
/* tamaño de la imagen1 de fondo*/
figure img {
    width: 100%;
    object-fit: overflow;
  
}

/* texto del primer foto*/
.contenedor p{
    font-size: 30px;
    position: absolute;
    top: 45%;
    left: 10%;
    right: 50%;
    transform: translate(-50% -50%);
    color: white;
}

.contenedor div{
    margin-bottom: 0px;
    padding: 0px;
}



/* Color azul del texto de la primer foto */
.contenedor span{
    background-color: #42CFFF;
    border-radius: 7px;
    color: black;
}

/* contenido segunda foto */
.contenedor2 figure{
    margin-top: -4px;
}

.contenedor2 img {
    width: 35%;
}


body {
    background-color: #333f42;

    
}
.todaslascartas{
    justify-content: center;
    display: flex;
    padding-bottom: 30px;
    
}

.card{
    position: relative;
    width: 300px;
    height: 350px;
    margin: 20px;
}

.card .face {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    border-radius: 10px;
    overflow: hidden;
    transition: .5s;
}

.card .front{
    transform: perspective(600px) rotateY(0deg);
    box-shadow: 0 5px 10px #000;
}

.card .front img{
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.card .front h3{
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 45px;
    line-height: 45px;
    color: #fff;
    background: rgba(0,0,0,.4);
    text-align: center;
}

.card .back {
    transform: perspective(600px) rotateY(180deg);
    background: #42CFFF;
    padding: 15px;
    color: #000000;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    text-align: center;
    box-shadow: 0 5px 10px #000;
}

.card .back .link{
    border-top: solid 1px #f3f3f3;
    height: 50px;
    line-height: 50px;
}

.card .back .link a {
    color:#f3f3f3;
    text-decoration: none;

}

.card .back h3 {
    font-size: 30px;
    margin-top: 20px;
    letter-spacing: 2px;
}

.card .back p {
  letter-spacing: 1px;

}

.card:hover .front{
    transform: perspective(600px) rotateY(180deg);
}
.card:hover .back{
    transform: perspective(600px) rotateY(360deg);
}


/* Tercera parte */

.detalle {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: white;
    padding: 15px 55px 15px 35px;
}

.detalle img{
    border: #42CFFF;
    border-radius: 7px;
    box-shadow: 0 5px 10px #000;
}


.tx-detalle{
    font-size: 30px;
    font-family: Arial, Helvetica, sans-serif;
    padding: 15px;
}

.tx-detalle span{
    background-color: #42CFFF;
    border-radius: 6px;
    font-weight: bold;
}




/* Final */
footer {
    text-decoration: none;
    color: black;
    font-weight:bold;
    text-align: center;
    background-color: #42CFFF;
    padding-top: 15px;

}

.contact{
    background-color: #42CFFF;
    align-items: center;
    text-align: center;

}

.contact img{
    width: 40px;
    margin-right: 25px ;
}

footer p{
    font-size: 15px;
    padding-top: 15px;
    color: #28398393;
    font-family: sans-serif;
    padding-bottom: 5px;
    font-weight: 300;
}





/*Así se configura la version responsive de la pagina*/
@media (max-width:700px){
    header{
        flex-direction: column;
    }
    nav{
        padding: 10px 0 px;
        margin-left: 30px;      
    }
} 